#include <string>
#include <stdexcept>
#include <iostream>
#include <iomanip>
#include <sstream>
#include <stdio.h>
#include <stdlib.h>
#include <cstring>
#include <fstream>
#include <zlib.h>

#include "zipios++/zipios-config.h"
#include "zipios++/meta-iostreams.h"
#include "zipios++/zipoutputstream.h"
#include "zipios++/zipfile.h"
#include "zipios++/zipinputstream.h"

#include "HRecord.pb.h"


using namespace std;



int main(int argc, char **argv)
{


   GOOGLE_PROTOBUF_VERIFY_VERSION;


   jhplot::io::Record record;

   for (int j=0; j<100; j++) {

    // record.set_name("ksks");
   

     jhplot::io::Record::P0D* p =  record.mutable_p0d();
    // jhplot::io::Record::P0D* p =  record.add_p0d(); 
     p->set_name("data");
    for (int i=0; i<1000; i++) {
      p->add_value(i); 
    }
  
   } // end loop over events



    fstream output("data.prod",  ios::out | ios::trunc | ios::binary);
    if (!record.SerializeToOstream(&output)) {
      cerr << "Failed to write address book." << endl;
      return -1;
    }
    output.close();


    std::string out; 

    if (!record.SerializeToString(&out)) {
      cerr << "Failed to write address book." << endl;
      return -1;
    }


     try {

    zipios::ZipOutputStream ozs( "data.zip" ) ;
    ozs.putNextEntry( "info" ) ;
    ozs << "1";
    ozs.putNextEntry( "1" ) ;
    ozs << out;
    ozs.close();

    }
   catch( exception &excp ) {
    cerr << "Exception caught in main() :" << endl ;
    cerr << excp.what() << endl ;
  }




/*
    std::string cstr = compress_string( out );
    fstream output1("data_zip.prod",  ios::out | ios::trunc | ios::binary);
    output1 <<cstr;
     output1.close();

*/

   return 0;
}
